package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.finance.entity.YksytAccountView;
import org.springblade.finance.mapper.YksytAccountViewMapper;
import org.springblade.finance.service.IYksytAccountViewService;
import org.springblade.finance.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 优酷收银台渠道发展优酷20元产品的结算表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Service
@DS("oracle143")
public class YksytAccountServiceViewImpl extends ServiceImpl<YksytAccountViewMapper, YksytAccountView> implements IYksytAccountViewService {

    @Autowired
    private YksytAccountViewMapper yksytAccountViewMapper;

    @Override
    public List<YksytAccountSfwyVO> getSfwyDetail(String sid) {
        return yksytAccountViewMapper.getSfwyDetail(sid);
    }

    @Override
    public List<YksytAccountBgfdzVO> getBgfdzDetail(String sid) {
        return yksytAccountViewMapper.getBgfdzDetail(sid);
    }

    @Override
    public List<YksytAccountCptfVO> getCptfDetail(String sid,Integer themonth) {
        return yksytAccountViewMapper.getCptfDetail(sid,themonth);
    }

    @Override
    public List<YksytAccountKftpffVO> getKftpffDetail(String sid) {
        return yksytAccountViewMapper.getKftpffDetail(sid);
    }

    @Override
    public List<YksytAccountSfwykkVO> getSfwykkDetail(String sid) {
        return yksytAccountViewMapper.getSfwykkDetail(sid);
    }

    @Override
    public List<YksytAccountBgfdzcfVO> getBgfdzcfDetail(String sid) {
        return yksytAccountViewMapper.getBgfdzcfDetail(sid);
    }
}
